curl --request GET \
--url https://api.melso.ai/v1/companies/{company_id}/income/{income_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.melso.ai/v1/companies/{company_id}/income/{income_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.melso.ai/v1/companies/{company_id}/income/{income_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"customer_name": "<string>",
"issue_date": "2023-12-25",
"vat_lines": [
{
"rate": "<string>",
"base": "121.00",
"vat": "121.00"
}
],
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"subtotal": "121.00",
"vat_amount": "121.00",
"total": "121.00",
"version": 123,
"created_at": "2023-11-07T05:31:56Z",
"customer_tax_id": "<string>",
"customer_country": "ES",
"document_number": "<string>",
"operation_date": "2023-12-25",
"description": "<string>",
"vat_treatment": "taxable",
"irpf_rate": "<string>",
"irpf_amount": "121.00",
"file_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"currency": "<string>",
"exchange_rate": "<string>",
"source": "upload",
"review_reasons": [
"<string>"
],
"updated_at": "2023-11-07T05:31:56Z"
}{
"error": "invalid token",
"code": "unauthorized",
"request_id": "req_01JAB3K9X2"
}{
"error": "invoice not found",
"code": "not_found",
"request_id": "req_01JAB3K9X2"
}Get an income
Returns one income with its VAT lines, withholding, review codes and version.
curl --request GET \
--url https://api.melso.ai/v1/companies/{company_id}/income/{income_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.melso.ai/v1/companies/{company_id}/income/{income_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.melso.ai/v1/companies/{company_id}/income/{income_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"customer_name": "<string>",
"issue_date": "2023-12-25",
"vat_lines": [
{
"rate": "<string>",
"base": "121.00",
"vat": "121.00"
}
],
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"subtotal": "121.00",
"vat_amount": "121.00",
"total": "121.00",
"version": 123,
"created_at": "2023-11-07T05:31:56Z",
"customer_tax_id": "<string>",
"customer_country": "ES",
"document_number": "<string>",
"operation_date": "2023-12-25",
"description": "<string>",
"vat_treatment": "taxable",
"irpf_rate": "<string>",
"irpf_amount": "121.00",
"file_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"currency": "<string>",
"exchange_rate": "<string>",
"source": "upload",
"review_reasons": [
"<string>"
],
"updated_at": "2023-11-07T05:31:56Z"
}{
"error": "invalid token",
"code": "unauthorized",
"request_id": "req_01JAB3K9X2"
}{
"error": "invoice not found",
"code": "not_found",
"request_id": "req_01JAB3K9X2"
}Authorizations
Your partner secret key, mk_live_… for real companies or mk_test_…
for test companies. Keep it on your servers. See
Authentication.
Path Parameters
The company's ID. Every company-scoped call works in exactly this company.
Response
The income.
200One line per VAT rate. A line with a decimal rate is recargo de equivalencia.
1 - 10 elementsShow child attributes
Show child attributes
An amount in euros as a decimal string with two decimals, such as "121.00".
^-?[0-9]+\.[0-9]{2}$"121.00"
An amount in euros as a decimal string with two decimals, such as "121.00".
^-?[0-9]+\.[0-9]{2}$"121.00"
subtotal plus vat_amount; IRPF withheld is not subtracted.
^-?[0-9]+\.[0-9]{2}$"121.00"
32Unique in the company.
100200taxable, exempt, reverse_charge, not_subject A decimal number as a string, such as "21" or "0.5".
^-?[0-9]{1,10}(\.[0-9]{1,6})?$An amount in euros as a decimal string with two decimals, such as "121.00".
^-?[0-9]+\.[0-9]{2}$"121.00"
upload, whatsapp, gmail, import